<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon May 18 23:41:36 CEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#getAllBooleanRegister--">getAllBooleanRegister()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>
<div class="block">returns the static vector that contains all the BooleanRegister objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#getAllFloatRegister--">getAllFloatRegister()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>
<div class="block">returns the static vector that contains all the FloatRegister objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#getBooleanDataPoint--">getBooleanDataPoint()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>
<div class="block">returns the DataPoint attribute of the class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getDataPointFromLabel-java.lang.String-">getDataPointFromLabel(String)</a></span> - Static method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">get the DataPoint object from the HashMap by using it's key</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#getFloatDataPoint--">getFloatDataPoint()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>
<div class="block">returns the DataPoint attribute of the class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-">getHexString(byte[])</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f)</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-int-int-">getHexString(byte[], int, int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getInput--">getInput()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Returns the input attribute value as boolean</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/database/DataBaseConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.database.<a href="../ch/hevs/isi/database/DataBaseConnector.html" title="class in ch.hevs.isi.database">DataBaseConnector</a></dt>
<dd>
<div class="block">returns singleton from the DataBaseConnector class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">returns singleton from the FieldConnector class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusAccessor.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></dt>
<dd>
<div class="block">returns singleton from the ModbusAccessor class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/smartcontrol/SmartControl.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.smartcontrol.<a href="../ch/hevs/isi/smartcontrol/SmartControl.html" title="class in ch.hevs.isi.smartcontrol">SmartControl</a></dt>
<dd>
<div class="block">returns the singleton of SmartControl class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">returns singleton from the WebConnector class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getLabel--">getLabel()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Returns the object's label attribute as a String</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#getRegisterFromDataPoint-ch.hevs.isi.core.BoolDataPoint-">getRegisterFromDataPoint(BoolDataPoint)</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>
<div class="block">Static method that returns the BooleanRegister that contains the bool param, or null if not found</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#getRegisterFromDataPoint-ch.hevs.isi.core.FloatDataPoint-">getRegisterFromDataPoint(FloatDataPoint)</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>
<div class="block">Static method that returns the FloatRegister that contains the FloatDataPoint fdp param, or null if not found</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/BoolDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/BoolDataPoint.html" title="class in ch.hevs.isi.core">BoolDataPoint</a></dt>
<dd>
<div class="block">returns the state attribute of the BoolDataPoint object</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/FloatDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a></dt>
<dd>
<div class="block">returns the value attribute of the FloatDataPoint object</div>
</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
